Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.math
Class RuledSurface

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.graph.impl.ContextDependentBase
              de.grogra.math.RuledSurface

All Implemented Interfaces:
  ContextDependent, BSplineCurveList, Manageable, Shareable

    public class RuledSurface

extends ContextDependentBase
implements BSplineCurveList

Nested Class Summary
`static class` | `RuledSurface.Type`

Field Summary
`static RuledSurface.Type` | `$TYPE`
`static SCOType.Field` | `firstProfile$FIELD`
`static SCOType.Field` | `secondProfile$FIELD`

Constructor Summary
`RuledSurface()`

Method Summary
`boolean` | `areCurvesCompatible(GraphState gs)`
`boolean` | `dependsOnContext()` Determines whether this object actually depends on context.
`int` | `getDegree(int curve, GraphState gs)`
`int` | `getDimension(int curve, GraphState gs)`
`BSplineCurve` | `getFirstProfile()`
`float` | `getKnot(int curve, int index, GraphState gs)`
`ManageableType` | `getManageableType()`
`BSplineCurve` | `getSecondProfile()`
`int` | `getSize(GraphState gs)`
`int` | `getSize(int curve, GraphState gs)`
`int` | `getVertex(float[] out, int curve, int index, GraphState gs)`
`boolean` | `isRational(int curve, GraphState gs)`
`void` | `setFirstProfile(BSplineCurve value)`
`void` | `setSecondProfile(BSplineCurve value)`
`void` | `writeStamp(Cache.Entry cache, GraphState gs)` Writes a stamp of the context into `cache`.

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### $TYPE

    public static final RuledSurface.Type $TYPE

### firstProfile$FIELD

    public static final SCOType.Field firstProfile$FIELD

### secondProfile$FIELD

    public static final SCOType.Field secondProfile$FIELD

Constructor Detail

### RuledSurface

    public RuledSurface()

Method Detail

### areCurvesCompatible

    public boolean areCurvesCompatible(GraphState gs)

  Specified by:
    `areCurvesCompatible` in interface `BSplineCurveList`

### dependsOnContext

    public boolean dependsOnContext()

  Description copied from interface: `ContextDependent`
  Determines whether this object actually depends on context.

  Specified by:
    `dependsOnContext` in interface `ContextDependent`
  Returns:
    `true` iff this object depends on context

### getDegree

    public int getDegree(int curve,
                         GraphState gs)

  Specified by:
    `getDegree` in interface `BSplineCurveList`

### getDimension

    public int getDimension(int curve,
                            GraphState gs)

  Specified by:
    `getDimension` in interface `BSplineCurveList`

### getFirstProfile

    public BSplineCurve getFirstProfile()

### getKnot

    public float getKnot(int curve,
                         int index,
                         GraphState gs)

  Specified by:
    `getKnot` in interface `BSplineCurveList`

### getManageableType

    public ManageableType getManageableType()

  Specified by:
    `getManageableType` in interface `Manageable`

### getSecondProfile

    public BSplineCurve getSecondProfile()

### getSize

    public int getSize(GraphState gs)

  Specified by:
    `getSize` in interface `BSplineCurveList`

### getSize

    public int getSize(int curve,
                       GraphState gs)

  Specified by:
    `getSize` in interface `BSplineCurveList`

### getVertex

    public int getVertex(float[] out,
                         int curve,
                         int index,
                         GraphState gs)

  Specified by:
    `getVertex` in interface `BSplineCurveList`

### isRational

    public boolean isRational(int curve,
                              GraphState gs)

  Specified by:
    `isRational` in interface `BSplineCurveList`

### setFirstProfile

    public void setFirstProfile(BSplineCurve value)

### setSecondProfile

    public void setSecondProfile(BSplineCurve value)

### writeStamp

    public void writeStamp(Cache.Entry cache,
                           GraphState gs)

  Description copied from interface: `ContextDependent`
  Writes a stamp of the context into `cache`. Based on this stamp, a cache detects whether the context of this object has changed or not.

  Specified by:
    `writeStamp` in interface `ContextDependent`
  Overrides:
    `writeStamp` in class `ContextDependentBase`
  Parameters:
    `cache` - a cache entry to write the stamp
    `gs` - the current graph state

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD